CREATE TABLE T (Pk NUMBER PRIMARY KEY);

CREATE OR REPLACE VIEW V AS
    SELECT Pk, (SELECT SUM(Pk) FROM T) AS sum FROM T;

INSERT INTO T VALUES (1);
INSERT INTO T VALUES (2);
INSERT INTO T VALUES (3);
INSERT INTO T VALUES (4);

COMMIT;

GRANT SELECT ON V TO jonatancrystall;
GRANT UPDATE ON V TO jonatancrystall;